Skip to contents

# Tidy Randomly Generated Bernoulli Distribution Tibble

Source: `R/random-tidy-bernoulli.R`
`tidy_bernoulli.Rd`

This function will generate `n` random points from a Bernoulli distribution with a user provided, `.prob`, and number of random simulations to be produced. The function returns a tibble with the simulation number column the x column which corresponds to the n randomly generated points, the `d_`, `p_` and `q_` data points as well.

The data is returned un-grouped.

The columns that are output are:

- `sim_number` The current simulation number.

- `x` The current value of `n` for the current simulation.

- `y` The randomly generated data point.

- `dx` The `x` value from the `stats::density()` function.

- `dy` The `y` value from the `stats::density()` function.

- `p` The values from the resulting p_ function of the distribution family.

- `q` The values from the resulting q_ function of the distribution family.

## Usage

    tidy_bernoulli(.n = 50, .prob = 0.1, .num_sims = 1, .return_tibble = TRUE)

## Arguments

.n

  The number of randomly generated points you want.

.prob

  The probability of success/failure.

.num_sims

  The number of randomly generated simulations you want.

.return_tibble

  A logical value indicating whether to return the result as a tibble. Default is TRUE.

## Value

A tibble of randomly generated data.

## Details

This function uses the `rbinom()`, and its underlying `p`, `d`, and `q` functions. The Bernoulli distribution is a special case of the Binomial distribution with `size = 1` hence this is why the `binom` functions are used and set to size = 1.

## See also

https://en.wikipedia.org/wiki/Bernoulli_distribution

Other Discrete Distribution: `tidy_binomial()`, `tidy_hypergeometric()`, `tidy_negative_binomial()`, `tidy_poisson()`, `tidy_zero_truncated_binomial()`, `tidy_zero_truncated_negative_binomial()`, `tidy_zero_truncated_poisson()`

Other Bernoulli: `util_bernoulli_param_estimate()`, `util_bernoulli_stats_tbl()`

## Author

Steven P. Sanderson II, MPH

## Examples

    tidy_bernoulli()
    #> # A tibble: 50 × 7
    #>    sim_number     x     y      dx     dy     p     q
    #>    <fct>      <int> <int>   <dbl>  <dbl> <dbl> <dbl>
    #>  1 1              1     0 -0.405  0.0292   0.9     0
    #>  2 1              2     0 -0.368  0.0637   0.9     0
    #>  3 1              3     0 -0.331  0.129    0.9     0
    #>  4 1              4     1 -0.294  0.243    1       1
    #>  5 1              5     0 -0.258  0.424    0.9     0
    #>  6 1              6     0 -0.221  0.688    0.9     0
    #>  7 1              7     0 -0.184  1.03     0.9     0
    #>  8 1              8     1 -0.147  1.44     1       1
    #>  9 1              9     0 -0.110  1.87     0.9     0
    #> 10 1             10     0 -0.0727 2.25     0.9     0
    #> # ℹ 40 more rows